@echo off

SET USERNAME_ARG=
SET PASSWORD_ARG=
SET HOSTNAME=
SET SERVERPORT=
SET REST=
SET NOGROUPSFOUND=true

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-username" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-user" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-host" SET HOSTNAME=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-port" SET SERVERPORT=%2 & SHIFT & SHIFT & GOTO processArguments

if [%1]==[] goto processArgumentsEnd
SET NOGROUPSFOUND=false
SET REST=%REST% %1
SHIFT
goto processArguments

:processArgumentsEnd

IF "%NOGROUPSFOUND%"=="true" GOTO help

IF "%HOSTNAME%"=="" GOTO noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" -user %USERNAME_ARG% -password %PASSWORD_ARG% -conntype SOAP -host %HOSTNAME% -port %SERVERPORT% -f %WAS_HOME%"/BPM/Lombardi/tools/security/syncGroupMembershipForGroups.jy" %REST%

GOTO END

:noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" -user %USERNAME_ARG% -password %PASSWORD_ARG% -f %WAS_HOME%"/BPM/Lombardi/tools/security/syncGroupMembershipForGroups.jy" %REST%

GOTO END

:help
ECHO Usage:
ECHO.
ECHO    syncGroupMembershipForGroups.bat [options...] ^<groupName1^> ^<groupName2^> ... ^<groupNameN^>
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -u ^<username^>, -username ^<username^>        user name of admin user
ECHO    -p ^<password^>, -password ^<password^>        user password (unencrypted)
ECHO    -host                                      server host name, must be used with port
ECHO    -port                                      server SOAP port number
ECHO.
ECHO groupNames:
ECHO     Provide a list of space delimited group names the members of which are to be updated for membership in the specified groups.

GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL